gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecOverride

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that redirects operations to other types of `ParamSpec`.

All operations other than getting or setting the value are redirected, including accessing the nick and blurb, validating a value, and so forth.

See `paramSpecGetRedirectTarget` for retrieving the overridden property. `ParamSpecOverride` is used in implementing `objectClassOverrideProperty`, and will not be directly useful unless you are implementing a new base type similar to GObject.

Since: 2.4

Synopsis

- newtype ParamSpecOverride = ParamSpecOverride (ManagedPtr ParamSpecOverride)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecOverride o) => IsParamSpecOverride o
- toParamSpecOverride :: (MonadIO m, IsParamSpecOverride o) => o -> m ParamSpecOverride

# Exported types

newtype ParamSpecOverride Source #

Memory-managed wrapper type.

Constructors

ParamSpecOverride (ManagedPtr ParamSpecOverride) |

#### Instances

Instances details

Eq ParamSpecOverride Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecOverride Methods (==) :: ParamSpecOverride -> ParamSpecOverride -> Bool Source # (/=) :: ParamSpecOverride -> ParamSpecOverride -> Bool Source #
BoxedPtr ParamSpecOverride Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecOverride Methods boxedPtrCopy :: ParamSpecOverride -> IO ParamSpecOverride Source # boxedPtrFree :: ParamSpecOverride -> IO () Source #
ManagedPtrNewtype ParamSpecOverride Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecOverride Methods toManagedPtr :: ParamSpecOverride -> ManagedPtr ParamSpecOverride Source #
TypedObject ParamSpecOverride Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecOverride Methods glibType :: IO GType Source #
HasParentTypes ParamSpecOverride Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecOverride
type ParentTypes ParamSpecOverride Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecOverride type ParentTypes ParamSpecOverride = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecOverride o) => IsParamSpecOverride o Source #

Type class for types which can be safely cast to `ParamSpecOverride`, for instance with `toParamSpecOverride`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecOverride o) => IsParamSpecOverride o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecOverride

toParamSpecOverride :: (MonadIO m, IsParamSpecOverride o) => o -> m ParamSpecOverride Source #

Cast to `ParamSpecOverride`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.